### Function

# GLib get_prgname

#### Declaration [src]

    const gchar*
    g_get_prgname (
      void
    )

#### Description [src]

Gets the name of the program. This name should not be localized, in contrast to g_get_application_name().

If you are using `GApplication` the program name is set in g_application_run(). In case of GDK or GTK it is set in gdk_init(), which is called by `gtk_init()` and the `GtkApplication::startup` handler. The program name is found by taking the last component of `argv`[0].

#### Return value

Type: `const gchar*`

The name of the program, or `NULL` if it has not been set yet. The returned string belongs to GLib and must not be modified or freed.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.